# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:		grilo-plugins
Version:	0.3.5
Release:	%mkrel 2
Summary:	Plugins for the Grilo framework
Group:		System/Libraries
License:	LGPLv2+
Url:		https://live.gnome.org/Grilo
Source0:	http://ftp.gnome.org/pub/GNOME/sources/grilo-plugins/%{release_version}/grilo-plugins-%{version}.tar.xz
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.26.0
BuildRequires: pkgconfig(gmime-3.0)
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gupnp-1.0) >= 0.13
BuildRequires: pkgconfig(gupnp-av-1.0) >= 0.5
BuildRequires: pkgconfig(libgdata) >= 0.7.0
BuildRequires: libquvi-devel
BuildRequires: pkgconfig(libsoup-2.4)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(rest-0.7)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: libgrilo-devel
BuildRequires: libgcrypt-devel
BuildRequires:	gnome-common
BuildRequires:	automake autoconf intltool
Requires:	grilo 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains plugins to get information from theses sources:
- Apple Trailers
- Bookmarks
- Filesystem
- Flickr
- Gravatar
- Jamendo
- Last.fm (for album arts)
- Local metadata (album arts and thumbnails)
- Metadata Store
- Podcasts
- Shoutcast
- UPnP
- Vimeo
- Youtube

%prep
%setup -q

%build
%define _unpackaged_files_terminate_build 0
%configure2_5x				\
	--disable-static		\
	--disable-fakemetadata		\
	--disable-shoutcast		\
	--enable-apple-trailers		\
	--disable-bookmarks		\
	--enable-filesystem		\
	--enable-flickr			\
	--enable-gravatar		\
	--enable-jamendo		\
	--enable-lastfm-albumart	\
	--enable-localmetadata		\
	--enable-metadata-store		\
	--enable-podcasts		\
	--disable-tracker		\
	--enable-upnp			\
	--disable-vimeo			\
	--disable-youtube       \
    --disable-filesystem

%make


%install
%makeinstall_std

# Remove files that will not be packaged
rm -f $RPM_BUILD_ROOT%{_libdir}/grilo-%{release_version}/*.la
rm -f $RPM_BUILD_ROOT%{_bindir}/*

%files
%doc AUTHORS COPYING NEWS README
/usr/share/help/C/examples/example-tmdb.c
/usr/share/help/C/grilo-plugins/grilo-plugins.xml
/usr/share/help/C/grilo-plugins/legal.xml
/usr/share/locale/as/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/bg/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/bs/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/ca/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/ca@valencia/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/cs/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/da/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/de/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/el/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/en_GB/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/eo/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/es/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/eu/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/fr/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/fur/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/gl/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/he/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/hu/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/id/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/it/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/ja/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/ko/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/lt/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/lv/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/ml/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/nb/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/ne/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/oc/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/pl/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/pt/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/pt_BR/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/ru/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/sk/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/sl/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/sr/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/sr@latin/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/sv/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/tr/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/uk/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/zh_CN/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/zh_HK/LC_MESSAGES/grilo-plugins.mo
/usr/share/locale/zh_TW/LC_MESSAGES/grilo-plugins.mo
%{_libdir}/grilo-%{release_version}/*
%define _missing_doc_files_terminate_build 0



%changelog
* Wed Mar 29 2018 adrianomorselli <adrianomorselli> 0.3.5-2uplos2018
- update

* Tue Sep 19 2017 threepio <threepio> 0.3.4-1uplos2017
- rebuild for uplos
